petsc-3.6.2 2015-10-02
Report Typos and Errors

# TaoSetUp

Sets up the internal data structures for the later use of a Tao solver

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetUp(Tao tao)

Collective on tao

### Input Parameters

tao -the TAO context

### Notes

The user will not need to explicitly call TaoSetUp(), as it will automatically be called in TaoSolve(). However, if the user desires to call it explicitly, it should come after TaoCreate() and any TaoSetSomething() routines, but before TaoSolve().

### See Also

TaoCreate(), TaoSolve()

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages